#venture {
    .venture-grid__block {
        max-width: 1188px;
        margin-left: auto;
        margin-right: auto;
        grid-template-columns: repeat(auto-fill, minmax(max(280px, 33% - 24px), 1fr));
        justify-content: center;

        article {
            padding: 60px 30px;
        }
        .venture-grid__block-item {
            h4 {
                margin-top: 60px;
            }

            h6 {
                font-size: 14px;
                margin-bottom: 30px;
            }
            p {
                text-align: left;
                line-height: 26px;
            }

            .content {
                border-radius: 30px;
                box-shadow: 0px 4px 9px rgb(1 115 239 / 9%);
            }
        }
    }
}

#benefit {
    .row {
        display: grid;
        grid-template-columns: 40% 1fr;

        > div {
            width: 100%;
            text-align: center;
        }
    }
    .benefit-grid-block__benefits-grid {
        grid-gap: 0px 38px;
        grid-template-columns: repeat(auto-fill, minmax(max(200px, 50% - 40px), 1fr));
        justify-content: center;

        > .benefit-grid-block__benefits-grid-item {
            .content {
                border-radius: 30px;
                box-shadow: 0px 4px 9px rgb(1 115 239 / 9%);
            }
            article {
                margin-left: unset;
            }
        }
    }
}

#ecosystem {
    .company-list {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(max(200px, 20%), 1fr));
        > div {
            display: flex;
            justify-content: center;
            align-items: center;

            outline: 0.5px solid #ededed;
            aspect-ratio: 29/16;

            img {
                max-width: 100%;
                max-height: 100%;
                object-fit: cover;
                padding: 12px;
            }
        }
    }
}

#news {
    .post-grid__block-item {
        .snap {
            aspect-ratio: 500/268;
            > img {
                width: 100%;
                height: 100%;
            }
        }
    }
}

#benefit {
    .benefit__ecosystem {
        margin-top: 35px;

        .benefit__ecosystem-button {
            padding: 16px 30px;
            background: #36a2ff;
            border-radius: 5px;
            width: 313px;
            border: none;
            .benefit__ecosystem-link {
                letter-spacing: 0.1em;
                text-transform: uppercase;
                font-weight: 700;
                font-size: 16px;
                line-height: 19px;
                color: #f3f3f3;
            }
        }
    }
}

#introduce__about {
    .about-grid__block {
        .about-grid__block-item {
            .content {
                border-radius: 30px;
                box-shadow: 0px 4px 9px rgb(1 115 239 / 9%);
            }
        }
    }
}

#venture-builder__about {
    .venture-builder__about-grid {
        .venture-builder-about-grid__block-item {
            .content {
                border-radius: 30px;
                box-shadow: 0px 4px 9px rgb(1 115 239 / 9%);
            }
        }
    }
}

@media (max-width: 1200px) {
    #benefit {
        .benefit-grid-block__benefits-grid {
            grid-gap: 0px 16px;
            grid-template-columns: repeat(auto-fill, minmax(max(200px, 50% - 16px), 1fr));
            justify-content: center;
            > .benefit-grid-block__benefits-grid-item {
                &.nth_article:nth-child(2n) {
                    margin-top: 16px;
                }
            }
        }
    }

    .post-grid__block {
        grid-template-columns: repeat(auto-fill, minmax(min(221px, 100%), 1fr));
    }
}

@media (max-width: 992px) {
    #venture {
        .venture-grid__block {
            grid-template-columns: repeat(auto-fill, minmax(max(221px, 33% - 24px), 1fr));
            article {
                padding: 40px 20px;
            }

            .venture-grid__block-item {
                h4 {
                    margin-top: 20px;
                }

                h6 {
                    font-size: 12px;
                    margin-bottom: 20px;
                }
                p {
                    line-height: 20px;
                }
            }
        }
    }

    .post-grid__block {
        grid-template-columns: repeat(auto-fill, minmax(min(310px, 100%), 1fr));
    }

    #box-infor {
        margin: 0;
    }
}

@media (max-width: 768px) {
    #benefit {
        .row {
            grid-template-columns: 1fr;
        }

        .benefit-grid-block__benefits-grid {
            grid-gap: 16px;
            grid-template-columns: repeat(auto-fill, minmax(max(195px, 50% - 16px), 1fr));

            > .benefit-grid-block__benefits-grid-item {
                .content {
                    height: 100%;
                }

                &.nth_article:nth-child(2n) {
                    margin-top: 0;
                }
            }
        }
    }

    #venture {
        .venture-grid__block {
            grid-template-columns: repeat(auto-fill, minmax(max(166px, 33% - 24px), 1fr));
            article {
                padding: 30px 15px;
            }

            .venture-grid__block-item {
                h4 {
                    font-size: 14px;
                }

                h6 {
                    font-size: 10px;
                }
            }
        }
    }

    .post-grid__block {
        grid-template-columns: repeat(auto-fill, minmax(min(221px, 100%), 1fr));
    }

    .animated-button {
        width: 130px;
        font-size: 12px;
        padding: 10px;
    }

    .item-intro {
        .row {
            .col-2 {
                img {
                    width: 28px;
                }
            }

            .col-10 {
                h5 {
                    font-size: 12px;
                }

                p {
                    font-size: 10px;
                }

                ul {
                    font-size: 10px;
                }
            }
        }
    }
}

@media (max-width: 576px) {
    #venture {
        .venture-grid__block {
            grid-template-columns: repeat(auto-fill, minmax(max(260px, 33% - 24px), 1fr));
            article {
                padding: 40px 20px;
            }

            .venture-grid__block-item {
                h4 {
                    font-size: 20px;
                }

                h6 {
                    font-size: 18px;
                }

                p {
                    font-size: 14px;
                }
            }
        }
    }

    .post-grid__block {
        grid-template-columns: repeat(auto-fill, minmax(min(199px, 100%), 1fr));
    }

    .item-intro {
        .row {
            .col-2 {
                img {
                    width: auto;
                }
            }

            .col-10 {
                h5 {
                    font-size: 14px;
                }

                p {
                    font-size: 12px;
                }

                ul {
                    font-size: 12px;
                }
            }
        }
    }
}

@media (max-width: 430px) {
    #benefit {
        .benefit-grid-block__benefits-grid {
            grid-gap: 0px 38px;
            grid-gap: 10px 14px;
            grid-template-columns: repeat(auto-fill, minmax(max(150px, 50% - 40px), 1fr));
        }
    }

    #ecosystem {
        .company-list {
            grid-template-columns: repeat(auto-fill, minmax(max(105px, 20%), 1fr));
        }
    }
}
